      SUBROUTINE COLUMN(UT)                                             
      SAVE
      PARAMETER(KMX=96)
      include "blank.h"
      COMMON/COLMTR/XXN(KMX),COL(KMX),CNO2(KMX),CNO(KMX),CNN2(KMX)      
     1,CLNO3(KMX)                                                       
      SHTCP=1.38E-16*TN(KMX)/(1.66E-24*GZ(KMX))                         
      CNO2(KMX)=XNO2(KMX)*SHTCP/32.                                     
      CNO(KMX)=XNO(KMX)*SHTCP/16.                                       
      CNN2(KMX)=XNN2(KMX)*SHTCP/28.                                     
      KMX1=KMX-1                                                        
      DO 13 K=KMX1,1,-1                                                 
      K1=K+1                                                            
      ZQHT(K)=ZPHT(K)*1.E+5                                             
      ZQHT(K1)=ZPHT(K1)*1.E+5                                           
      ALP1=ALOG(XNO2(K1)/XNO2(K))/(ZQHT(K1)-ZQHT(K))                    
      ALP2=ALOG(XNO(K1)/XNO(K))/(ZQHT(K1)-ZQHT(K))                      
      ALP3=ALOG(XNN2(K1)/XNN2(K))/(ZQHT(K1)-ZQHT(K))                    
      CNO2(K)=CNO2(K1)+XNO2(K)*(EXP(ALP1*(ZQHT(K1)-ZQHT(K)))-1.)/ALP1   
      CNN2(K)=CNN2(K1)+XNN2(K)*(EXP(ALP3*(ZQHT(K1)-ZQHT(K)))-1.)/ALP3   
      IF(ALP2.EQ.0) GO TO 2                                             
      CNO(K)=CNO(K1)+XNO(K)*(EXP(ALP2*(ZQHT(K1)-ZQHT(K)))-1.)/ALP2      
      GO TO 1                                                           
  2   CNO(K)=CNO(K1)+XNO(K)*(ZQHT(K1)-ZQHT(K))                          
  1   CONTINUE                                                          
  13  CONTINUE                                                          
      RETURN                                                            
      END                                                               
